Subject: Re: bug#24670: bug #24670: Unexpected EOF reading a line (from guix pull)

From: Ricardo Wurmus <[email-masked]>
Date: Fri, 14 Oct 2016 12:06:41 +0200

[email-masked] writes:

> When I was looking to try and figure out what was going wrong, I didn't even
> think about the fact I have /gnu mounted as a seperate parition, since I'm
> installing Guix on Gentoo system and my root partition is rather close to full
> for my liking. The perms for the mounted dir is:
>
> 4.0K drwxr-xr-x   2 root    root    4.0K Oct 13 07:57 gnu/

There’s nothing wrong with having /gnu on a separate partition.  I’m
doing the same on our HPC cluster at work (/gnu is on NFS).

Have you tried to install Guix using the binary installation method?

~~ Ricardo